public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/radon/
Date: Tue, 26 Apr 2022 10:56:04 +0000 (UTC)	[thread overview]
Message-ID: <1650970560.79ea7c5f43260d1901eb40f1ef53d1f63362631c.mgorny@gentoo> (raw)

commit:     79ea7c5f43260d1901eb40f1ef53d1f63362631c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 26 10:39:48 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Apr 26 10:56:00 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79ea7c5f

dev-python/radon: PEP517

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/radon/radon-5.1.0-r2.ebuild | 37 ++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/dev-python/radon/radon-5.1.0-r2.ebuild b/dev-python/radon/radon-5.1.0-r2.ebuild
new file mode 100644
index 000000000000..ede29bb7c85b
--- /dev/null
+++ b/dev-python/radon/radon-5.1.0-r2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Code Metrics in Python"
+HOMEPAGE="
+	https://radon.readthedocs.io/
+	https://github.com/rubik/radon/
+	https://pypi.org/project/radon/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	dev-python/colorama[${PYTHON_USEDEP}]
+	dev-python/flake8[${PYTHON_USEDEP}]
+	dev-python/mando[${PYTHON_USEDEP}]
+	dev-python/pytest-mock[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_prepare() {
+	# unpin the dep
+	sed -i -e '/mando/s:,<0.7::' setup.py || die
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2022-04-26 10:56 UTC|newest]

Thread overview: 54+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-26 10:56 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-17 16:27 [gentoo-commits] repo/gentoo:master commit in: dev-python/radon/ Michał Górny
2023-10-02  4:46 Michał Górny
2023-04-28 14:40 Michał Górny
2023-04-28 14:36 Arthur Zamarin
2023-03-26 18:02 Michał Górny
2023-03-16  4:07 Michał Górny
2022-11-30 10:18 WANG Xuerui
2022-11-07 21:13 Andrew Ammerlaan
2022-05-27 19:48 Michał Górny
2022-05-27  9:07 Jakov Smolić
2022-04-26 10:56 Michał Górny
2022-02-02 10:48 Sam James
2022-01-29 15:29 Arthur Zamarin
2022-01-29 15:29 Arthur Zamarin
2022-01-29 15:29 Arthur Zamarin
2022-01-29 14:03 Arthur Zamarin
2022-01-29  7:31 Arthur Zamarin
2022-01-02 13:21 Yixun Lan
2021-12-31 16:53 Matt Turner
2021-12-30  8:47 Sam James
2021-12-28 19:43 Arthur Zamarin
2021-12-28 19:40 Arthur Zamarin
2021-12-28 19:30 Arthur Zamarin
2021-12-28 18:54 Arthur Zamarin
2021-12-28 18:53 Arthur Zamarin
2021-12-28 18:51 Arthur Zamarin
2021-12-28 18:49 Arthur Zamarin
2021-12-28 10:19 Sam James
2021-12-27 19:18 Jakov Smolić
2021-10-17  9:25 Michał Górny
2021-08-09  7:51 Michał Górny
2021-06-08 23:12 Michał Górny
2021-06-06 23:53 Sam James
2021-06-06 23:53 Sam James
2021-06-06 23:53 Sam James
2021-05-24 10:22 Michał Górny
2021-05-10  7:24 Michał Górny
2021-05-10  7:24 Michał Górny
2020-04-04  6:41 Zac Medico
2020-04-04  5:13 Zac Medico
2018-03-10 14:56 Pacho Ramos
2018-03-10 14:56 Pacho Ramos
2017-10-04  8:57 Michał Górny
2017-08-02 11:28 Michał Górny
2017-04-26 16:34 Michał Górny
2016-08-06 14:54 Alex Brandt
2016-08-06 14:54 Alex Brandt
2016-06-11 15:32 Alex Brandt
2016-06-11 15:32 Alex Brandt
2016-04-10 22:08 Alex Brandt
2016-04-10 22:08 Alex Brandt
2016-03-27 14:06 Alex Brandt
2016-03-27 14:06 Alex Brandt

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1650970560.79ea7c5f43260d1901eb40f1ef53d1f63362631c.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox